<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:background="@color/color_FFF1F2F5">

    <include
        android:id="@+id/v_diamond_card"
        layout="@layout/layout_recharge_header_diamond"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="16dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:background="@drawable/common_bottom_dialog_bg"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/v_diamond_card">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingHorizontal="16dp"
            android:paddingTop="20dp"
            android:paddingBottom="24dp">

            <!--充值套餐-->
            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_top_up"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:minHeight="@dimen/recharge_list_min_height"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <com.adealink.weparty.commonui.widget.CommonButton
                android:id="@+id/btn_top_up"
                android:layout_width="0dp"
                android:layout_height="@dimen/common_button_height"
                android:layout_marginTop="20dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/rv_top_up"
                app:text="@string/common_recharge"
                app:textSize="16sp" />

            <!--说明-->
            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_instruction"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginTop="20dp"
                android:ellipsize="end"
                android:fontFamily="@font/poppins_semibold"
                android:includeFontPadding="false"
                android:text="@string/wallet_recharge_instruction_title"
                android:textColor="@color/color_FF1D2129"
                android:textSize="12sp"
                app:layout_constrainedWidth="true"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintHorizontal_bias="0"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/btn_top_up" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_instruction1"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:ellipsize="end"
                android:includeFontPadding="false"
                android:text="@string/wallet_recharge_instruction_1"
                android:textColor="@color/color_FF1D2129"
                android:textSize="12sp"
                app:layout_constrainedWidth="true"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintHorizontal_bias="0"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/tv_instruction" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_instruction2"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:ellipsize="end"
                android:includeFontPadding="false"
                android:text="@string/wallet_recharge_instruction_2"
                android:textColor="@color/color_FF1D2129"
                android:textSize="12sp"
                app:layout_constrainedWidth="true"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintHorizontal_bias="0"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/tv_instruction1" />

        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.core.widget.NestedScrollView>

</androidx.constraintlayout.widget.ConstraintLayout>